%This function calculates the lateral error from the track of your car.  It
%accepts the position of the car in meters and returns the error also in
%meters.  Valid inputs for x and y can be any value.  The error is positive if
%you are to the right of the track and negative if you are to the left.  If
%your car is more than .5 meters from the track, this error function will not
%work well (that is much farther than your sensors can read).  The
%direction the car should travel is clockwise.

function e = track(x,y)

if x < 0 
    e =  -(sqrt((x)^2+(y-(-1))^2) - 1);
    
elseif (x >= 0 && x <= 2 && y >= -1)
    e = -y;
    
elseif (x > 2 && x <= 4 && y >= -1)
    e = -y + 0.2;
    
elseif (x > 4)
    e = -(sqrt((x-4)^2+(y-(-0.9))^2) - 1.1);
    
elseif (x >=0 && x <= 4 && y < -1)
    e = y + 2;
    
end

























